Subject: Re: Pushing out Cygwin installations
From: Christopher Faylor <[email-masked]>
To: "[email-masked]'" <[email-masked]>
Cc: [email-masked]
Date: Thu, 11 Jan 2001 12:38:05 -0500

If you have a mount table, you have registry entries.

However, did you read my email?  Don't use the registry.  Use mount.

You're going to have to run 'regedit' to import stuff.  Don't run
regedit.  Create a .bat file to run mount.

cgf

On Thu, Jan 11, 2001 at 12:16:49PM -0500, Danko, Gary wrote:
>There was no mount table in my registry. I went into regedit and exported
>the entire Cygnus key from HKLM\Software
>
>When is that created? Is there something I can do to force Cygwin to create
>that key?
>
>-----Original Message-----
>From: Christopher Faylor [mailto:[email-masked]]
>Sent: Thursday, January 11, 2001 9:15 AM
>To: [email-masked]'
>Cc: [email-masked]
>Subject: Re: Pushing out Cygwin installations
>
>
>On Thu, Jan 11, 2001 at 12:01:28PM -0500, Danko, Gary wrote:
>>I couldn't find this anywhere in the archives. I want to install Cygwin
>once
>>and push it out to about 150 indentical servers. I tried copying the
>>directory as well as the registry key to another server but that failed to
>>give me the desired results.
>>
>>The NEW installation couldn't find "root" so that made me curious. Where
>>does Cygwin store the information about the location of root?
>>
>>If I install Cygwin on one machine.. How could I copy that installation
>>reliably to another machine?
>
>The mount table is stored in the registry.  You must not have copied
>it correctly.
>
>However, you really should just use "mount" to duplicate the directory
>structure on the other machines.  Copying the registry keys bypasses
>Cygwin and we make no guarantees that the registry keys will remain
>the same between releases.
>
>We do, of course, try to ensure that "mount" and "umount" continue
>to work as expected.
>
>cgf
>
>--
>Want to unsubscribe from this list?
>Check out: http://cygwin.com/ml/#unsubscribe-simple

-- 
[email-masked]                        Red Hat, Inc.
http://sources.redhat.com/            http://www.redhat.com/

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple